commit:     77cedddfc0d81eb65a39eb25fab8439ae75c4c4b
Author:     Bernd Waibel <waebbl-gentoo <AT> posteo <DOT> net>
AuthorDate: Sat Jun 19 08:51:10 2021 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> gentoo <DOT> org>
CommitDate: Sat Jul  3 10:55:11 2021 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=77cedddf

dev-libs/optix: bump to 7.2.0

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Bernd Waibel <waebbl-gentoo <AT> posteo.net>
Closes: https://github.com/gentoo/sci/pull/1096
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> gentoo.org>

 dev-libs/optix/optix-7.2.0.ebuild | 37 +++++++++++++++++++++++++++++++++++++
 1 file changed, 37 insertions(+)

diff --git a/dev-libs/optix/optix-7.2.0.ebuild 
b/dev-libs/optix/optix-7.2.0.ebuild
new file mode 100644
index 000000000..34dcf66c4
--- /dev/null
+++ b/dev-libs/optix/optix-7.2.0.ebuild
@@ -0,0 +1,37 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="NVIDIA Ray Tracing Engine"
+HOMEPAGE="https://developer.nvidia.com/optix";
+SRC_URI="NVIDIA-OptiX-SDK-${PV}-linux64-x86_64.sh"
+S="${WORKDIR}"
+
+SLOT="0/7"
+KEYWORDS="~amd64"
+RESTRICT="fetch mirror"
+LICENSE="NVIDIA-r2"
+
+RDEPEND="
+       dev-util/nvidia-cuda-toolkit:=
+       media-libs/freeglut
+       virtual/opengl
+"
+
+pkg_nofetch() {
+       einfo "Please download ${SRC_URI} from:"
+       einfo "  ${HOMEPAGE}"
+       einfo "and move it to your DISTDIR directory."
+       einfo 'DISTDIR value is available from `emerge --info`'
+}
+
+src_unpack() {
+       tail -n +223 "${DISTDIR}"/${A} | tar -zx || die
+}
+
+src_install() {
+       insinto /opt/${PN}
+       dodoc -r doc
+       doins -r include SDK
+}

Reply via email to